import os
import csv

# Define the directory containing the log files
root_dir = '/home/mx2/WALI/stuff/package_stuff/'
log_directory = str(input('log directory(default logs): '))
if not log_directory:
    log_directory = 'logs'
log_directory = os.path.join(root_dir, log_directory)

# Define the output CSV file path
output_csv_file = 'package_results.csv'

# List to store the contents of log files
log_contents = []

# Iterate through all files in the specified directory
for filename in os.listdir(log_directory):
    if filename.endswith('.log'):
        # Construct the full file path
        file_path = os.path.join(log_directory, filename)
        # Open and read the content of the log file
        with open(file_path, 'r') as file:
            content = file.read()
            # Append the filename and content to the log_contents list
            log_contents.append([filename, content])

# Write the collected log contents to the CSV file
with open(output_csv_file, 'w', newline='', encoding='utf-8') as csvfile:
    csvwriter = csv.writer(csvfile)
    # Write the header
    csvwriter.writerow(['Package', 'Log'])
    # Write the log contents
    csvwriter.writerows(log_contents)

print(f"Log files have been written to {output_csv_file}.")